### Method

# FwupdPlugin FdtImage get_attr_u32

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_fdt_image_get_attr_u32 (
      FuFdtImage* self,
      const gchar* key,
      guint32* val,
      GError** error
    )

#### Description [src]

Gets a uint32 attribute from the image.

Available since: 1.8.2

#### Parameters

`key`

  Type: `const gchar*`

  String, e.g. `creator`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`val`

  Type: `guint32*`

  Value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `val` was set.